Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.elang.xpath20.compiler
Class Constants

    java.lang.Object
      org.apache.ode.bpel.elang.xpath20.compiler.Constants

    public class Constants

extends java.lang.Object

XPath-4-BPEL related constants.

Field Summary
`static java.lang.String` | `EXT_FUNCTION_DOXSLTRANSFORM` Extension function bpws:getLinkStatus('getLinkName')
`static java.lang.String` | `EXT_FUNCTION_GETLINKSTATUS` Extension function bpws:getLinkStatus('getLinkName')
`static java.lang.String` | `EXT_FUNCTION_GETVARIABLEDATA` Extension function bpws:getVariableData('variableName', 'partName'?, 'locationPath'?)
`static java.lang.String` | `EXT_FUNCTION_GETVARIABLEPROPERTY` Extension function bpws:getVariableProperty('variableName','propertyName')
`static java.lang.String` | `NON_STDRD_FUNCTION_COMBINE_URL`
`static java.lang.String` | `NON_STDRD_FUNCTION_COMPOSE_URL`
`static java.lang.String` | `NON_STDRD_FUNCTION_DAY_TIME_DURATION` Non standard extension functions in the deprecated "xdt" namespace
`static java.lang.String` | `NON_STDRD_FUNCTION_DELETE`
`static java.lang.String` | `NON_STDRD_FUNCTION_DEPRECATED_COMBINE_URL`
`static java.lang.String` | `NON_STDRD_FUNCTION_DEPRECATED_COMPOSE_URL`
`static java.lang.String` | `NON_STDRD_FUNCTION_DEPRECATED_DOM_TO_STRING`
`static java.lang.String` | `NON_STDRD_FUNCTION_DEPRECATED_EXPAND_TEMPLATE`
`static java.lang.String` | `NON_STDRD_FUNCTION_DEPRECATED_SPLIT_TO_ELEMENTS` Non standard extension function ode:splitToElements(sourceText, 'separator' 'targetLocalName', 'targetNS'?)
`static java.lang.String` | `NON_STDRD_FUNCTION_DOM_TO_STRING`
`static java.lang.String` | `NON_STDRD_FUNCTION_EXPAND_TEMPLATE`
`static java.lang.String` | `NON_STDRD_FUNCTION_INSERT_AFTER`
`static java.lang.String` | `NON_STDRD_FUNCTION_INSERT_AS_FIRST_INTO`
`static java.lang.String` | `NON_STDRD_FUNCTION_INSERT_AS_LAST_INTO`
`static java.lang.String` | `NON_STDRD_FUNCTION_INSERT_BEFORE`
`static java.lang.String` | `NON_STDRD_FUNCTION_PROCESS_PROPERTY`
`static java.lang.String` | `NON_STDRD_FUNCTION_RENAME`
`static java.lang.String` | `NON_STDRD_FUNCTION_SPLIT_TO_ELEMENTS`
`static java.lang.String` | `NON_STDRD_FUNCTION_YEAR_MONTH_DURATION`
`static java.lang.String` | `XQUERY_FUNCTION_HANDLER_COMPILER`
`static java.lang.String` | `XQUERY_FUNCTION_HANDLER_RUNTIME`

Constructor Summary
`Constants()`

Method Summary
`static boolean` | `isBpelNamespace(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXT_FUNCTION_GETVARIABLEDATA

    public static final java.lang.String EXT_FUNCTION_GETVARIABLEDATA

  Extension function bpws:getVariableData('variableName', 'partName'?, 'locationPath'?)

  See Also:
    Constant Field Values

### EXT_FUNCTION_GETVARIABLEPROPERTY

    public static final java.lang.String EXT_FUNCTION_GETVARIABLEPROPERTY

  Extension function bpws:getVariableProperty('variableName','propertyName')

  See Also:
    Constant Field Values

### EXT_FUNCTION_GETLINKSTATUS

    public static final java.lang.String EXT_FUNCTION_GETLINKSTATUS

  Extension function bpws:getLinkStatus('getLinkName')

  See Also:
    Constant Field Values

### EXT_FUNCTION_DOXSLTRANSFORM

    public static final java.lang.String EXT_FUNCTION_DOXSLTRANSFORM

  Extension function bpws:getLinkStatus('getLinkName')

  See Also:
    Constant Field Values

### NON_STDRD_FUNCTION_DEPRECATED_SPLIT_TO_ELEMENTS

    public static final java.lang.String NON_STDRD_FUNCTION_DEPRECATED_SPLIT_TO_ELEMENTS

  Non standard extension function ode:splitToElements(sourceText, 'separator' 'targetLocalName', 'targetNS'?)

  See Also:
    Constant Field Values

### NON_STDRD_FUNCTION_DEPRECATED_COMBINE_URL

    public static final java.lang.String NON_STDRD_FUNCTION_DEPRECATED_COMBINE_URL

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_DEPRECATED_COMPOSE_URL

    public static final java.lang.String NON_STDRD_FUNCTION_DEPRECATED_COMPOSE_URL

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_DEPRECATED_EXPAND_TEMPLATE

    public static final java.lang.String NON_STDRD_FUNCTION_DEPRECATED_EXPAND_TEMPLATE

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_DEPRECATED_DOM_TO_STRING

    public static final java.lang.String NON_STDRD_FUNCTION_DEPRECATED_DOM_TO_STRING

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_SPLIT_TO_ELEMENTS

    public static final java.lang.String NON_STDRD_FUNCTION_SPLIT_TO_ELEMENTS

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_COMBINE_URL

    public static final java.lang.String NON_STDRD_FUNCTION_COMBINE_URL

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_COMPOSE_URL

    public static final java.lang.String NON_STDRD_FUNCTION_COMPOSE_URL

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_EXPAND_TEMPLATE

    public static final java.lang.String NON_STDRD_FUNCTION_EXPAND_TEMPLATE

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_DOM_TO_STRING

    public static final java.lang.String NON_STDRD_FUNCTION_DOM_TO_STRING

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_INSERT_AFTER

    public static final java.lang.String NON_STDRD_FUNCTION_INSERT_AFTER

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_INSERT_BEFORE

    public static final java.lang.String NON_STDRD_FUNCTION_INSERT_BEFORE

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_INSERT_AS_FIRST_INTO

    public static final java.lang.String NON_STDRD_FUNCTION_INSERT_AS_FIRST_INTO

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_INSERT_AS_LAST_INTO

    public static final java.lang.String NON_STDRD_FUNCTION_INSERT_AS_LAST_INTO

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_DELETE

    public static final java.lang.String NON_STDRD_FUNCTION_DELETE

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_RENAME

    public static final java.lang.String NON_STDRD_FUNCTION_RENAME

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_PROCESS_PROPERTY

    public static final java.lang.String NON_STDRD_FUNCTION_PROCESS_PROPERTY

See Also:
  Constant Field Values

### NON_STDRD_FUNCTION_DAY_TIME_DURATION

    public static final java.lang.String NON_STDRD_FUNCTION_DAY_TIME_DURATION

  Non standard extension functions in the deprecated "xdt" namespace

  See Also:
    Constant Field Values

### NON_STDRD_FUNCTION_YEAR_MONTH_DURATION

    public static final java.lang.String NON_STDRD_FUNCTION_YEAR_MONTH_DURATION

See Also:
  Constant Field Values

### XQUERY_FUNCTION_HANDLER_COMPILER

    public static final java.lang.String XQUERY_FUNCTION_HANDLER_COMPILER

See Also:
  Constant Field Values

### XQUERY_FUNCTION_HANDLER_RUNTIME

    public static final java.lang.String XQUERY_FUNCTION_HANDLER_RUNTIME

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Method Detail

### isBpelNamespace

    public static boolean isBpelNamespace(java.lang.String uri)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD